package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_login):
 */
public class SysUserLogin {

	/**  */
	@ApiModelProperty(value = "用户编号",required = false)
	private Long userId;
	
	/** 用户登录总次数 */
	@ApiModelProperty(value = "用户登录总次数",required = false)
	private Integer loginCount;
	
	/** 最后登录时间 */
	@ApiModelProperty(value = "最后登录时间",required = false)
	private java.util.Date lastLoginTime;
	
	/** 最后登录IP */
	@ApiModelProperty(value = "最后登录IP",required = false)
	private String lastLoginIp;
	
	/** 连续登陆失败的次数 */
	@ApiModelProperty(value = "连续登陆失败的次数",required = false)
	private Integer failCount;
	
	/** 锁定时间 单位：分钟(超过锁定时间自动解锁) */
	@ApiModelProperty(value = "锁定时间 单位：分钟",required = false)
	private Integer lockTime;
	
	/** 锁定日期 */
	@ApiModelProperty(value = "锁定日期",required = false)
	private java.util.Date lockDate;

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public void setLoginCount(Integer loginCount){
		this.loginCount = loginCount;
	}
	
	public Integer getLoginCount(){
		return this.loginCount;
	}
			
	public void setLastLoginTime(java.util.Date lastLoginTime){
		this.lastLoginTime = lastLoginTime;
	}
	
	public java.util.Date getLastLoginTime(){
		return this.lastLoginTime;
	}
			
	public void setLastLoginIp(String lastLoginIp){
		this.lastLoginIp = lastLoginIp;
	}
	
	public String getLastLoginIp(){
		return this.lastLoginIp;
	}
			
	public void setFailCount(Integer failCount){
		this.failCount = failCount;
	}
	
	public Integer getFailCount(){
		return this.failCount;
	}
			
	public void setLockTime(Integer lockTime){
		this.lockTime = lockTime;
	}
	
	public Integer getLockTime(){
		return this.lockTime;
	}
			
	public void setLockDate(java.util.Date lockDate){
		this.lockDate = lockDate;
	}
	
	public java.util.Date getLockDate(){
		return this.lockDate;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
